> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tapti.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

## Create a new user.


## OpenAPI

````yaml post /users
openapi: 3.0.0
info:
  title: Tapti Fusion API
  description: API for the Tapti Fusion platform
  version: '1.0'
  contact: {}
servers:
  - url: https://api.tapti.ai
security: []
tags: []
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create a new user
      operationId: createUser
      parameters: []
      requestBody:
        required: true
        description: The user to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserRequestAdminDto'
      responses:
        '201':
          description: User created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUserResponseAdminDto'
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    CreateUserRequestAdminDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the user
          example: John Doe
        email:
          type: string
          description: The email of the user
          example: john.doe@example.com
        phone:
          type: string
          description: The phone number of the user
          example: '+1234567890'
      required:
        - name
        - email
        - phone
    CreateUserResponseAdminDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the user
          example: 690739f7-3e1b-4ceb-a439-23bd9c7ae573
        created_at:
          format: date-time
          type: string
          description: The timestamp when the user was created
          example: '2024-12-09T19:15:03.738Z'
        updated_at:
          format: date-time
          type: string
          description: The timestamp when the user was last updated
          example: '2024-12-09T19:15:03.738Z'
        name:
          type: string
          description: The name of the user
          example: Dev's User 2
        email:
          type: string
          description: The email of the user
          example: devU2@devweb.com
        phone:
          type: string
          description: The phone number of the user
          example: '9546557824'
        tenant_app_id:
          type: string
          description: The ID of the tenant app this user belongs to
          example: 2bac016b-ad8f-4bf9-afb3-a63814bca95f
      required:
        - id
        - created_at
        - updated_at
        - name
        - email
        - phone
        - tenant_app_id

````